ralish
Enthusiast
Enthusiast

vMA 5.5.0.0 Refreshed Build

Hi there,

I note that a newer build of vMA 5.5 has recently been made available (and indicated by a notice in the vMA forum I'm posting in). The newer build appears to be v5.5.0.0 Build 1387931 while the older release (which I'm running) is Build 1295338. I can't seem to find any actual details though on what has changed in this new release, and attempting to perform an update via vMA from the earlier "pre-refresh" build only results in an error:

Failed to check for updates(Error downloading manifest. Please contact your vendor. The requested URL returned error: 404 URL: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/449bf27f-70b9-476e-af17-fc4369637c25/5.5.0.0.la...) on Saturday, December 14, 2013 1:25:05 PM GMT+11:00


Can anyone from VMware provide any details as to what exactly has changed in this refresh build? Is there an upgrade path for those on an earlier build? If not, should we be upgrading via a full reinstall (I hope not as this will take much more time)?

It's frustrating to find a new release of vMA has been posted but without any details as to what exactly has changed or how those running an earlier build should respond. My apologies if I've missed something obvious.

Thanks in advance!

Tags (2)
15 Replies
alanrenouf
VMware Employee
VMware Employee

The fixes added to this version are documented here: https://www.vmware.com/support/developer/viperltoolkit/viperl55/vsp55_vsperl_relnotes.html#resolvedi...

Specifically, The GA release of vSphere SDK for Perl 5.5 is missing the definitions of methods and properties that are new in vSphere 5.5. The October patch release fixes this issue (build 1384587).

Thanks for the error on the update, we are looking into that.

Blog: http://virtu-al.net Twitter: http://twitter.com/alanrenouf Co-author of the PowerCLI Book: http://powerclibook.com
ralish
Enthusiast
Enthusiast

Thanks! I'll try again on the update process from vMA later next week.

0 Kudos
GeraldHochegger
Contributor
Contributor

Same problem here - I've tried to get updates since November, but vma update fails on getting the latest manifest.

Failed to check for updates(Error downloading manifest. Please contact your vendor.
The requested URL returned error: 404
URL: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/449bf27f-70b9-476e-af17-fc4369637c25/5.5.0.0.la...
on Thursday, January 2, 2014 10:26:07 AM GMT+01:00

Could you please fix the update procedure ?

Thanks.

0 Kudos
GeraldHochegger
Contributor
Contributor

Problem persists on 5.5.0.0 Build 1387931

I removed Build 1295338 and reinstalled Build 1387931 from ovf - but the update page still throws an error:

Failed to check for updates(Error downloading manifest. Please contact your vendor.
The requested URL returned error: 404
URL: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/449bf27f-70b9-476e-af17-fc4369637c25/5.5.0.0.la...
on Thursday, January 2, 2014 12:35:20 PM GMT+01:00

Maybe I only need a correct repository url for the setting page.

0 Kudos
shacklrobert
Contributor
Contributor

Same problem here on build 1387931

Failed to check for updates(Error downloading manifest. Please contact your vendor. The requested URL returned error: 404 URL: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/449bf27f-70b9-476e-af17-fc4369637c25/5.5.0.0.la...) on Sunday, January 26, 2014 6:52:48 PM GMT+00:00

0 Kudos
alanrenouf
VMware Employee
VMware Employee

I logged a bug for the update issue and will let you know when its resolved.  Thanks for reporting it.

Blog: http://virtu-al.net Twitter: http://twitter.com/alanrenouf Co-author of the PowerCLI Book: http://powerclibook.com
wjlorenzo
Contributor
Contributor

Alan,

Please post back when you get some sort of resolution to this. I am having the same issue and looking through the manifest it doesn't appear that any of the 5.5 vMA products are available and there is no .pak file upgrade either.

Bill

0 Kudos
Anafp
Enthusiast
Enthusiast

I have the same problem. Latest version of vma (5.5.0.0 - 1387931).

Is there any progress?

0 Kudos
Roosterman
Contributor
Contributor

Same problem here.  I got the update problem (basically the default repository does not exist, so the update fails) on vma 5.1 so deployed the vma 5.5 but get the same error.  If I http to the repository location it fails too.

0 Kudos
alanrenouf
VMware Employee
VMware Employee

This issue should now be fixed, please let me know if you still encounter it.

Blog: http://virtu-al.net Twitter: http://twitter.com/alanrenouf Co-author of the PowerCLI Book: http://powerclibook.com
ralish
Enthusiast
Enthusiast

I can confirm that when performing an update check it now successfully pulls a manifest instead of returning a 404, however, I'm getting "No update is available". I'm testing this on a vMA 5.5.0.0 Build 1295338 appliance whereas Build 1387931 is the latest version (refreshed build). Shouldn't it be possible (and really the point) of the update functionality to offer an easy update path between releases of vMA?

I appreciate that VMware is working on this and progress is slowly being made but this issue was reported almost three months ago and only now does the update feature not error out on attempting to check; now it at least doesn't return an error but it doesn't seem to be offering updates that should be available either. Is there any way VMware can prioritise fixing these problems as it's a fairly obvious product defect.

Thanks for the help so far and keeping the original thread up-to-date!

0 Kudos
alanrenouf
VMware Employee
VMware Employee

Sorry for the inconvenience and thanks for letting me know about this issue, we are looking into it and I will update this when it is resolved.

Blog: http://virtu-al.net Twitter: http://twitter.com/alanrenouf Co-author of the PowerCLI Book: http://powerclibook.com
0 Kudos
ralish
Enthusiast
Enthusiast

Thank-you! I'll wait to hear from you via this thread.

0 Kudos
PerAtOdenSoluti
Contributor
Contributor

Hi,

Running 6.0.0.0 Build 2503728 and getting the same error.

Any updates? Was it solved in 5.5?

/Per

0 Kudos
guzzom
Contributor
Contributor

Running vMA

6.0.0.0 Build 2503728

and still getting the following error:

Failed to check for updates(Error downloading manifest. Please contact your vendor. The requested URL returned error: 404 URL: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/449bf27f-70b9-476e-af17-fc4369637c25/6.0.0.0.la...) on Friday, September 11, 2015 6:43:03 AM GMT-05:00


0 Kudos